import { SimpleLocalIntegration } from '../../core/index.js';
import { CmusConfigFlow } from './cmus.classes.configflow.js';
import { createCmusDiscoveryDescriptor } from './cmus.discovery.js';
import type { ICmusConfig } from './cmus.types.js';
import { cmusDomain, cmusProfile } from './cmus.types.js';

export class CmusIntegration extends SimpleLocalIntegration<ICmusConfig> {
  public readonly domain = cmusDomain;
  public readonly discoveryDescriptor = createCmusDiscoveryDescriptor();
  public readonly configFlow = new CmusConfigFlow();

  constructor() {
    super(cmusProfile);
  }
}

export class HomeAssistantCmusIntegration extends CmusIntegration {}
